//作战指挥
import request from "@/utils/request";
///mosty-api
const api = "/mosty-api";
// 获取参与警力数据统计
export function getSelectOnCop(data = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSjCyjl/joinCopCount',
    method: 'POST',
    data
  })
}

// 获取参与警力列表
export function getSelectPolice(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSjCyjl/slectPolice',
    method: 'GET',
    params
  })
}


// 获取事件中心参与警力列表
export function getSelectPolicelist(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbZl/getCyjlList',
    method: 'GET',
    params
  })
}

// 获取预警轨迹
export function getSelectTrack(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/selectTrack',
    method: 'GET',
    params
  })
}

// 获取周边巡组
export function selectDeckList(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwXfbb/selectDeckList',
    method: 'GET',
    params
  })
}

// 获取轨迹回放数据
export function getTbWzXfwzSelectTrack(data = {}) {
  return request({
    url: api + '/mosty-wzzx/tbWzXfwz/selectTrack',
    method: 'POST',
    data
  })
}

// 获取附近巡组
export function getTbQwXfbbSelectDeckList(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwXfbb/selectDeckList',
    method: 'GET',
    params
  })
}

// 获取事件详情
export function getEventData(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSj/selectById',
    method: 'GET',
    params
  })
}

// 修改圈层设置
export function updateQcData(data = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSj',
    method: 'PUT',
    data
  })
}
// 修改经纬度
export function updateLocation(data = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSj/updateJwd',
    method: 'PUT',
    data
  })
}

// 历史警情-完成处置
export function finishDispose(data = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSj/finishDispose',
    method: 'POST',
    data
  })
}
// 	查询警情数据不分页
export function tbSjGetPageList(params) {
  return request({
    url: api + '/mosty-sjzx/tbSj/getPageList',
    method: 'GET',
    params
  })
}
// 点击事件上传日志
export function saveRz(data) {
  return request({
    url: api + '/mosty-sjzx/tbSjRz/saveRz',
    method: 'POST',
    data
  })
}

// 获取事件回溯列表
export function SjhsgetPageList(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSjRz/getPageList',
    method: 'GET',
    params
  })
}

// 条件查询动态核查数据信息
export function HcgetList(data) {
  return request({
    url: api + '/mosty-hczx/tbHcDtgz/getList',
    method: 'POST',
    data
  })
}

